Subject: Re: git binary size...

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 11 Jan 2006 11:56:39 -0800

Andreas Ericsson wrote:
> H. Peter Anvin wrote:
> 
>>
>> I disagree with both of these.  Most users will not install via "make 
>> install", but rather via a package manager.  Package managers have 
>> long since dealt with this problem; in the case of rpm, the debug 
>> information is stripped off into a separate package.  Having "make 
>> install" strip would break that -- although defining $(STRIP) makes it 
>> a bit easier to deal with (STRIP=: make install).
>>
> 
> Fair point. So how about a strip: target for just stripping the binaries 
> in the directory? That way one can do "make strip install", but 
> everything else will work as always. Better yet, make it
> 
> strip:
>     strip $(STRIP_OPTS) $(PROGRAMS)
> 
> so Linus can set STRIP_OPTS=--strip-debug and everybody's happy.
> 

The proper way to do this is:

strip:
	$(STRIP) $(STRIP_OPTS) $(PROGRAMS)

For "strip", this is frequently omitted, though.  Since "strip" is 
architecture-dependent, though, this is necessary for cross-compilation.

	-hpa